## com.thingmagic
Class Gen2.IDS.SL900A.CalibrationData

    java.lang.Object
      com.thingmagic.Gen2.IDS.SL900A.CalibrationData

Enclosing class:
  Gen2.IDS.SL900A

    public static class Gen2.IDS.SL900A.CalibrationData

extends java.lang.Object

Constructor Summary
`Gen2.IDS.SL900A.CalibrationData()`
`Gen2.IDS.SL900A.CalibrationData(byte[] reply, int offset)`

Method Summary
`byte` `getAd1()`
`byte` `getAd2()`
`byte` `getAdf()`
`byte` `getCoarse1()`
`byte` `getCoarse2()`
`byte` `getDf()`
`boolean` `getExcRes()`
`boolean` `getGndSwitch()`
`byte` `getIrlev()`
`byte` `getOffInt()`
`byte` `getReftc()`
`byte` `getRFU()`
`byte` `getRingCal()`
`byte` `getSelp12()`
`byte` `getSelp22()`
`boolean` `getSwExtEn()`
`void` `setCoars1(byte value)`
`void` `setCoarse2(byte value)`
`void` `setDf(byte value)`
`void` `setExcRes(boolean value)`
`void` `setGndSwitch(boolean value)`
`void` `setIrlev(byte value)`
`void` `setSelp12(byte value)`
`void` `setSelp22(byte value)`
`void` `setSwExtEn(boolean value)`
`java.lang.String` `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### Gen2.IDS.SL900A.CalibrationData

    public Gen2.IDS.SL900A.CalibrationData()

### Gen2.IDS.SL900A.CalibrationData

    public Gen2.IDS.SL900A.CalibrationData(byte[] reply,
                                           int offset)

Method Detail

### getAd1

    public byte getAd1()

### getCoarse1

    public byte getCoarse1()

### setCoars1

    public void setCoars1(byte value)

### getAd2

    public byte getAd2()

### getCoarse2

    public byte getCoarse2()

### setCoarse2

    public void setCoarse2(byte value)

### getGndSwitch

    public boolean getGndSwitch()

### setGndSwitch

    public void setGndSwitch(boolean value)

### getSelp12

    public byte getSelp12()

### setSelp12

    public void setSelp12(byte value)

### getAdf

    public byte getAdf()

### getDf

    public byte getDf()

### setDf

    public void setDf(byte value)

### getSwExtEn

    public boolean getSwExtEn()

### setSwExtEn

    public void setSwExtEn(boolean value)

### getSelp22

    public byte getSelp22()

### setSelp22

    public void setSelp22(byte value)

### getIrlev

    public byte getIrlev()

### setIrlev

    public void setIrlev(byte value)

### getRingCal

    public byte getRingCal()

### getOffInt

    public byte getOffInt()

### getReftc

    public byte getReftc()

### getExcRes

    public boolean getExcRes()

### setExcRes

    public void setExcRes(boolean value)

### getRFU

    public byte getRFU()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`